/* IF auth:jwt */ import { createCipheriv, createDecipheriv, createHash } from 'crypto'
/* IF gql:true */ export { default as objectToArray } from './objectToArray'

// IF auth:jwt
const ENCRYPTION_KEY = createHash('sha256').update(String(process.env.JWT_AUTH_SECRET)).digest('base64').substring(0, 32)
const ENCRYPTION_ALGORITHM = 'aes-256-ecb'

export function encrypt(data: string) {
  const cipher = createCipheriv(ENCRYPTION_ALGORITHM, ENCRYPTION_KEY, null)
  return cipher.update(data, 'utf8', 'base64') + cipher.final('base64')
}

export function decrypt(encrypted: string) {
  const decipher = createDecipheriv(ENCRYPTION_ALGORITHM, ENCRYPTION_KEY, null)
  return decipher.update(encrypted, 'base64', 'utf8') + decipher.final('utf8')
}
// ENDIF
